[Prev: FOLUPLITXT] | [Resources][TOC] | [Next: FROMFIELDS]

# FORCE

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  N/A

Element

  N/A

Command-line Option

  `-force`

## Description

FORCE causes MHonArc to override the lock on the archive and perform the operations requested.

When MHonArc processes an archive, it locks the archive so other MHonArc processes do not try to modify the archive at the same time. However, if MHonArc abnormally terminates, the lock may not be released, causing all future MHonArc processes to fail in performing any archive operations. If you get a message from MHonArc that it cannot lock an archive, and you know the archive is not in use by another MHonArc process, use the FORCE resource.

NOTE | The alternative approach is to manually remove the lockfile (see LOCKFILE).

The FORCE option should be used with care to avoid archive corruption. FORCE is active only for the current MHonArc process.

WARNING | Having two, or more, MHonArc processes processing the same archive with FORCE enabled can lead to archive corruption.

MHonArc will still try to perform a normal lock before forcing the issue.

## Default Setting

N/A

## Resource Variables

N/A

## Examples

None.

## Version

1.2.2

## See Also

LOCKDELAY, LOCKFILE, LOCKTRIES

[Prev: FOLUPLITXT] | [Resources][TOC] | [Next: FROMFIELDS]